ServerEvents.recipes(event => {
    event.replaceInput(
        {id: 'laserio:logic_chip_raw'},
        'minecraft:gold_nugget',
        '#kubejs:grist/intelligent/improved'
    );

    event.recipes.thermal.smelter('2x laserio:logic_chip', ['2x #kubejs:grist/intelligent/improved', '1x minecraft:quartz_block', '1x kubejs:grist/energetic/basic']);
});